'use strict';
/* eslint no-console: 0 */

var address = require('address');

var qrcode = require('qrcode-terminal');

var webpack = require('webpack');

var pathConfig = require('./path.config');

var webpackConfigBase = require('./webpack.config.base');

var envConfig = require('./env.config');

var webpackConfigDev = Object.assign({}, webpackConfigBase);
var ipv4 = address.ip();
var port = envConfig.port;
var webUrl = 'http://' + ipv4 + ':' + port;
var bundleUrl = 'http://' + ipv4 + ':' + port + '/js/index.bundle.js';
var weexBundleUrl = "".concat(bundleUrl, "?_wx_tpl=").concat(bundleUrl);
qrcode.generate(webUrl, {
  small: true
});
console.log('Web: scan above QRCode ' + webUrl + ' or direct open in browser.\n');
qrcode.generate(weexBundleUrl, {
  small: true
});
console.log('Weex: scan above QRCode ' + weexBundleUrl + ' use weex playground.\n'); // enable source map

webpackConfigDev.devtool = 'inline-module-source-map';
webpackConfigDev.entry = {
  'index.bundle': [pathConfig.appIndexJs]
};
Object.keys(webpackConfigDev.entry).forEach(function (point) {
  // hot reaload client.
  webpackConfigDev.entry[point].unshift(require.resolve('../hmr/webpackHotDevClient.entry'));
}); // Only work on web

webpackConfigDev.plugins.push(new webpack.NoEmitOnErrorsPlugin());
module.exports = webpackConfigDev;