'use strict';

var loaderUtils = require('loader-utils');
/**
 * append 'modult.hot.accept()' to entry point source.
 */


module.exports = function (source, inputMap) {
  if (this.cacheable) {
    this.cacheable(true);
  }

  var callback = this.async();

  if (/\bmodule.hot\b/.test(source)) {
    return callback(null, source, inputMap);
  }

  var options = loaderUtils.getOptions(this);
  var resourcePath = this.resourcePath;
  var resourcePathInEntry = options.appIndex && options.appIndex.startsWith(resourcePath);

  if (!resourcePathInEntry) {
    return callback(null, source, inputMap);
  }

  return callback(null, "".concat(source, "\n\n// HMR append by rax-scripts/loaders/module-hot-accept.js\n// @see https://github.com/alibaba/rax\nif (module.hot) {\n  module.hot.accept(function(err) {\n    if (err) {\n      console.log(err);\n    } else {\n      if (typeof App !== 'undefined') {\n        render(<App />)\n      } else {\n        console.error('`App` components must exist!')\n      }\n    }\n  });\n}\n"), inputMap);
};