'use strict';
/* eslint no-console: 0 */

process.env.NODE_ENV = 'development';
process.on('unhandledRejection', function (err) {
  throw err;
});

var colors = require('chalk');

var WebpackDevServer = require('webpack-dev-server');

var createWebpackCompiler = require('./utils/createWebpackCompiler');

var webpackConfigDev = require('./config/webpack.config.dev');

var webpackDevServerConfig = require('./config/webpackDevServer.config');

var envConfig = require('./config/env.config');
/**
 * run webpack dev server
 * @param  {Number} port server port
 */


function start(port, hostname) {
  var compiler = createWebpackCompiler(webpackConfigDev);
  var server = new WebpackDevServer(compiler, webpackDevServerConfig);
  server.listen(port, hostname, function (err) {
    if (err) {
      console.log(colors.red('[ERR]: Failed to webpack dev server'));
      console.error(err.message || err);
      process.exit(1);
    }

    var serverUrl = "".concat(envConfig.protocol, "//").concat(envConfig.host, ":").concat(envConfig.port, "/");
    console.log('');
    console.log('');
    console.log(colors.green('Starting the development server at:'));
    console.log("    ".concat(colors.underline.white(serverUrl)));
    console.log('');
  });
}

start(envConfig.port, envConfig.host);